use std::{env::args, process::ExitCode};

fn usage(s: &str) -> ExitCode {
    eprintln!("Usage: {} [status]", s);
    ExitCode::from(64 /* NetBSD sysexits(3) EX_USAGE */)
}

fn main() -> ExitCode {
    let argv = args().collect::<Vec<String>>();

    match argv.len() {
        2 => match argv[1].parse::<u8>() {
            Ok(e) => ExitCode::from(e),
            _ => usage(&argv[0]),
        },
        _ => usage(&argv[0]),
    }
}
